Bug 245147 - devel/etcd33: fix build on aarch64
Summary: devel/etcd33: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Jimmy Olgeni
URL:
Keywords: buildisok
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-03-28 19:03 UTC by Mikael Urankar
Modified: 2020-04-18 14:33 UTC (History)
0 users

See Also:
olgeni: maintainer-feedback+


Attachments
patch (1.64 KB, patch)
2020-03-28 19:03 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-03-28 19:03:00 UTC
Created attachment 212810 [details]
patch

# golang.org/x/sys/unix
  vendor/golang.org/x/sys/unix/ztypes_freebsd_arm64.go:400:12: undefined: uint128

Import upstream patch https://github.com/golang/sys/commit/33540a1f603772f9d4b761f416f5c10dade23e96
Comment 1 Automation User 2020-04-12 01:32:07 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/135068413
Comment 2 commit-hook freebsd_committer 2020-04-18 14:23:31 UTC
A commit references this bug:

Author: olgeni
Date: Sat Apr 18 14:22:41 UTC 2020
New revision: 532033
URL: https://svnweb.freebsd.org/changeset/ports/532033

Log:
  Update devel/etcd33 to version 3.3.19; fix build on aarch64 (PR 245147).

  PR:		245147
  Submitted by:	mikael

Changes:
  head/devel/etcd33/Makefile
  head/devel/etcd33/distinfo
  head/devel/etcd33/files/patch-vendor_golang.org_x_sys_unix_ztypes__freebsd__arm64.go
Comment 3 Jimmy Olgeni freebsd_committer 2020-04-18 14:33:23 UTC
Committed - thanks!